create table auth(username text primary key, passhash text, salt text, sid text);
create table groups(groupname text primary key);
create table perms(perm text primary key, desc text);
create table groups_membership(username text, groupname text, foreign key(username) references auth(username), foreign key(groupname) references groups(groupname));
create table groups_perms(groupname text, perm text, foreign key(groupname) references groups(groupname), foreign key(perm) references perms(perm));
create table users_perms(username text, perm text, foreign key(username) references auth(username), foreign key(perm) references perms(perm));

